Package org.gradle.api.capabilities

## Interface CapabilitiesMetadata

- All Known Subinterfaces:
    `MutableCapabilitiesMetadata`

      public interface CapabilitiesMetadata

  Gives access to the list of capabilities of a component.
  Since:
    4.7

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.List<? extends Capability>` | `getCapabilities()` | Returns an immutable view of the capabilities.

- - ### Method Detail

    - #### getCapabilities

          java.util.List<? extends Capability> getCapabilities()

      Returns an immutable view of the capabilities.
      Returns:
        the list of capabilities. Immutable.